<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW JS #15 - Factorial</title>
</head>
<body>
    <div style="text-align: center;">
        <h1>HW JS 15 - Factorial</h1>
        
        <h4>Напишите как вы понимаете рекурсию. Для чего она используется на практике?</h4>
        <p>Рекурсия - это вызов функции внутри себя. Я ее использовал для вывода дерева товаров, когда неизвестна степень вложенности. Ну и иногда как замена циклам тоже пойдет.</p>
    </div>
   
    <script src="js/script.js"></script>
</body>
</html>